#include <bits/stdc++.h>

using namespace std;

int f(int n){
    if(n==0)
        return 0;
    if(n==1 || n==2 || n==5)
        return 1;
    if(n==3 || n==4 || n==6 || n==7)
        return 2;
    if(n==8 || n==9)
        return 3;
}

int main()
{
    long long v;
    int br=0;
    cin>>v;
    while(v!=0){
        br+=f(v%10);
        v/=10;
    }
    cout<<br;
    return 0;
}